/* Card */

.card {
  padding: 1rem;
  background: var(--card-color);
  border-radius: 1rem;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

.card.has-extra-padding {
  padding: 2rem 1.5rem;
}

.card-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.card-header-icon {
  font-size: 1.25rem;
}

.card-h4 {
  margin-bottom: 4px;
  font-size: 0.75rem;
  font-weight: 400;
  color: var(--accent-color);
}

.card-h3 {
  margin-bottom: var(--length-md1);
  color: var(--text-color);
  font-size: 1rem;
  font-weight: 500;
}

.card-h3.no-bottom-margin {
  margin-bottom: 0;
}

.card-h2 {
  font-size: 1.75rem;
  font-weight: 500;
}

.card-h2.has-bottom-margin {
  margin-bottom: 2rem;
}

/* Bar Chart */

.card-barchart {
  display: flex;
  justify-content: space-evenly;
  gap: 1rem;
  align-items: flex-end;
  height: 8rem;
  background: repeating-linear-gradient(
    var(--accent-color) 0% 0.5%,
    transparent 0.5% 20%
  );
}

.card-barchart > div {
  display: grid;
  place-items: end;
}

.card-barchart > div > div {
  width: 1.25rem;
}

.card-barchart.is-gauge-chart > div > div {
  width: 3rem;
}

.card-bar-primary {
  background: var(--primary-color);
}

.card-bar-default {
  background: var(--accent-color);
}

/* Avatar List */

.avatar-list {
  list-style-type: none;
  padding: 0;
}

.avatar-list > li {
  display: flex;
  gap: var(--length-md2);
  align-items: center;
  margin-bottom: var(--length-md2);
}

.avatar {
  width: 3rem;
  height: 3rem;
}

.avatar-title,
.avatar-notes {
  display: block;
  line-height: 1;
}

.avatar-title {
  font-size: 1rem;
  margin-bottom: 3px;
}

.avatar-notes {
  color: var(--accent-color);
  font-size: 0.875rem;
}

/* Timeline */
.timeline {
  padding-top: 1.25rem;
}

.timeline-row {
  position: relative;
  display: flex;
  padding-bottom: 1rem;
}

.timeline-when {
  width: 3.5rem;
  min-width: 3.5rem;
  max-width: 3.5rem;
  font-size: 0.75rem;
}

.timeline-badge {
  width: 0.75rem;
  min-width: 0.75rem;
  max-width: 0.75rem;
  height: 0.75rem;
  margin: 1.5px 0.5rem 0;
  border-radius: 50%;
  border: 3px solid var(--accent-color);
  background: var(--card-color);
}

.timeline-row.primary .timeline-badge {
  border-color: var(--primary-color);
}

.timeline-badge::after {
  content: "";
  position: absolute;
  top: 22px;
  left: 4.5rem;
  width: 2px;
  height: calc(100% - 22px);
  background: var(--accent-color);
}

.timeline-text {
  color: var(--text-color);
  font-size: 0.875rem;
}

/* Dropdown Menu */

.dropdown-input {
  position: absolute;
  transform: scale(0);
}

.dropdown-label {
  cursor: pointer;
}

.dropdown-wrapper {
  position: relative;
}

.dropdown-menu {
  position: absolute;
  top: 2.5rem;
  right: 0;
  padding: 1rem;
  width: 10.5rem;
  border-radius: 1rem;
  background: var(--background-color);
  transform: translateY(1rem);
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s;
}

.dropdown-input:checked ~ .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.dropdown-menu-button {
  display: block;
  text-align: center;
  width: 100%;
  height: 2.5rem;
  background: transparent;
  border: 0;
  padding: 0 0.3rem;
  border-radius: 2.5rem;
  color: var(--text-color);
}

.dropdown-menu-button:hover {
  background: var(--accent-color);
}
